$title Default policy file that turns off all policy flags

* ====================================================================================================================
*	Define policies 
* ====================================================================================================================

*	Indentify sectors included in cap-and-trade or CO2 tax policies 
*	Turn off flag for specified sectorsall sectors
fssclim(g) = 0;
*	Turn off flags for included sectors	
*	fssclim("agr") = 0;
fssclim("enuc") = 1;
fssclim("ecoa") = 1;
fssclim("egas") = 1;
fssclim("ewin") = 1;
fssclim("esol") = 1;
fssclim("ehyd") = 1;
fssclim("eoil") = 1;
fssclim("eoth") = 1;
fssclim("oil") = 1;
fssclim("crp") = 1;
fssclim("nmm") = 1;
fssclim("i_s") = 1;
fssclim("nfm") = 1;

*	Avoid a sector being covered by both policies
fssclim_2(g)$(fssclim(g) eq 1) = 0;

*	Cap-and-trade policy covering CO2 emissions from specified sectors
policy("fclim") = no;
policy("clim")$(policy("fclim") eq 0) = 0;

*	Include non-CO2 GHGs in the policy
policy("fnco2") = no;
policy("fnco2_2") = no;

*	Partial ETS coverage to target a broader emissions reduction
policy("pets") = 0;
policy("pets")$(policy("fclim") eq 0) = 0;

*	Secondary ETS policy
policy("fclim_2") = no;
policy("clim_2")$(policy("fclim_2") eq 0) = 0;

*	Trade between the primary and secondary ETS policies
policy("tco2") = no;

*	Limit on trading between secondary and primary ETS  
*	Define limit on certifcates that can be traded
policy("limit_lambda") = 0;
*	Set model parameters to impose the limit
policy("limit_alpha") = 0;

*	Specify international offsets
*	Flag for international offsets
policy("foffset") = 0;
*	Specifiy the price of international offsets
*	Multiply by $ per ton by 1e6/1e9, as values are in billions of 2011 dollars and emissions are in millions of metric tons
policy("poffset") = 0;
*	Calculate the quantity of international office per billion dollars of foreign exchange 
policy("qoffset")$policy("poffset") = 1/policy("poffset"); 
policy("qoffset")$(policy("poffset") eq 0) = 1;
*	Specify the maximum proportion of outside permits from international offsets
policy("offset_prop") = 0;

*	CO2 tax covering emissions from specified sectors
policy("fctax") = no;
policy("ctax")$(policy("fctax") eq 0) = 0;

*	Renewable fuel target as a proportion of total electricity production and flags for generation technologies included in the policy
policy("res") = 0;
fres(g) = 0;

*	CO2 intensity target
cintflag = no;	
cintarget$(cintflag eq 0) = no;

*	Fuel economy standard
policy("f_fecon") = no;
policy("f_alpha")$(policy("f_fecon") eq 0) = 0;
 	
*	Digitilization
policy("dig_ws") = 0;
policy("dig_aeei") = 0;


