*	Merge and compare results from different scenarios

$call gdxmerge 1_benchmark.gdx 2_reference.gdx 3_rps.gdx 4_con_all.gdx 5_con_sel.gdx 6_con_ets.gdx 7_con_all_dig.gdx

set	merged_set_1(*)	Scenario sets
alias(merged_set_1,s);

$gdxin "2_reference.gdx";


set	g(*)	Goods plus C and G;

$load g

set	i(g)	Goods
	f(*)	Factors;

$load f i 

*	Load other sets and parameters
$include "..\inputs\sets.gms"

set	g(*)	Goods plus C and G;

Parameter
	GDP(s)			Gross Domestic Product - billions of 2011 dollars 
	Welfare(s)		Welfare index - equivalent variation in consumptin expenditure
	co2price(s)		Carbon price or tax - 2011$ per metric ton of CO2
	co2price_2(s)		Carbon price or tax in the secondaru ets - 2011$ per metric ton of CO2
	Emissions(*,*,*)	CO2e emissions by sector - million metric tons of CO2e
	Emissbyfuel(s,fe,*)	CO2 emissions by sector and by fuel - million metric tons of CO2
	PrimEnergy(s,*)		Primary energy consumption - mtoe
	Electricity(s,*)	Electricity production - TWh
	DY(s,i)			Domestic output by commodity - billion 2011$
	MY(s,i)			Imports by commodity
	XY(s,i)			Exports by commodity
	co2price(s)		Carbon price or tax - 2011$ per metric ton of CO2
	summary(*,s)		Summary parameter
	output(*,i,s)		Sectoral production - change relative to the reference
	imports(*,i,s)		Imports by commodity
	exports(*,i,s)		Exports by commodity
	embodied(s,*)		Total embodied CO2 emissions - direct emissions plus domestic intermdiates - million metric tons per billion dollars of output
	hhtrn(s,*)		Reporting variables for household transportation involving new vehcile
	shh_pt_oil(s,*)		Share of aggregates in powertrain-oil aggregate;

$gdxin merged.gdx
$load merged_set_1 GDP Welfare co2price co2price_2 Emissions Emissbyfuel PrimEnergy Electricity DY XY MY hhtrn shh_pt_oil

summary("10_GDP",s) = GDP(s);
summary("15_GDP%C",s) = 100*(GDP(s) - GDP("2_Reference"))/GDP("2_Reference");
summary("20_Welfare",s) = Welfare(s);
summary("25_Welfare%C",s) = 100*(Welfare(s) - Welfare("2_Reference"))/Welfare("2_Reference");
summary("30_CO2_price",s) = co2price(s);
summary("50_Emissions_Elec_energy_intensive",s) = Emissions(s,"Total","Elec. & energy intenistive");
summary("60_Emissions_Other_Sectors",s) =  Emissions(s,"Total","Other sectors");
summary("70_Emissions_Total",s) = Emissions(s,"Total","Total");
summary("100_Electricity",s) = Electricity(s,"Total");
summary("110_PrimEnergy",s) = PrimEnergy(s,"Total");

*	Aggregate electricity and primary energy  (if required)
*	oren denotes other renewables
set eren(elea) Other renewable electricity /ewin,esol,eoth/;
Electricity(s,"oren") = sum(eren,Electricity(s,eren));
Electricity(s,eren) = 0;

PrimEnergy(s,"oren") = sum(eren,PrimEnergy(s,eren)); 	
PrimEnergy(s,eren) = 0;

*	Tidy up some numbers for reporting
summary("15_GDP%C","1_Benchmark") = 0;
summary("25_Welfare%C","1_Benchmark") = 0;

*	Calculate changes in domestic production/output, exports and imports
output("level",i,s) = DY(s,i);
output("diff",i,s) = DY(s,i) - DY("2_Reference",i);
output("%C",i,s)$DY("2_Reference",i) = 100*(DY(s,i) - DY("2_Reference",i))/DY("2_Reference",i);

exports("level",i,s) = XY(s,i);
exports("diff",i,s) = XY(s,i) - XY("2_Reference",i);
exports("%C",i,s)$XY("2_Reference",i) = 100*(XY(s,i) - XY("2_Reference",i))/XY("2_Reference",i);

imports("level",i,s) = MY(s,i);
imports("diff",i,s) = MY(s,i) - MY("2_Reference",i);
imports("%C",i,s)$MY("2_Reference",i) = 100*(MY(s,i) - MY("2_Reference",i))/MY("2_Reference",i)

execute_unload "compare.gdx" GDP Welfare co2price co2price_2 Emissions Emissbyfuel PrimEnergy Electricity DY XY MY hhtrn shh_pt_oil summary output exports imports





